aboutsummaryrefslogtreecommitdiff
path: root/tests/push-to-store.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/push-to-store.sh')
-rwxr-xr-xtests/push-to-store.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/push-to-store.sh b/tests/push-to-store.sh
index 25352c751..b1495c9e2 100755
--- a/tests/push-to-store.sh
+++ b/tests/push-to-store.sh
@@ -1,6 +1,10 @@
#!/bin/sh
set -x
+set -e
+
+[ -n "$OUT_PATHS" ]
+[ -n "$DRV_PATH" ]
echo Pushing "$OUT_PATHS" to "$REMOTE_STORE"
printf "%s" "$DRV_PATH" | xargs nix copy --to "$REMOTE_STORE" --no-require-sigs